Subject: Re: bug#50630: [External] : bug#50630: 28.0.50; list-directory shows free space for current directory, not the specified one

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Sep 2021 08:56:45 +0300

> Date: Fri, 17 Sep 2021 20:32:53 +0000
> From: John Cummings <[email-masked]>
> Cc: Drew Adams <[email-masked]>, [email-masked]
> 
> On Friday, September 17th, 2021 at 2:04 PM, Eli Zaretskii <[email-masked]> wrote:
> 
> > > From: Drew Adams [email-masked]
> > > I believe the same change is needed in ls-lisp.el, for function `ls-lisp--insert-directory'.
> > >
> > > (let ((available (get-free-disk-space ".")))
> > >
> > > should be:
> > >
> > > (let ((available (get-free-disk-space file)))
> >
> > Why, do you see the wrong values being reported?
> 
> The values look wrong to me here.

In my testing, they reflect the correct volume (because the call is in
the buffer whose default-directory is set to the directory we are
going to display), which is why I installed the changes.  Please tell
how you test, starting from "emacs -Q", because I'd like to look at
this.

> Thanks for the heads up. I've got a working test for files.el and ls-lisp.el, and after I polish it, I'll also look into how to handle FILE vs ORIG-FILE

Thanks.